=== tests/Header/Makefile ===
include z.mk

$(eval $(call ZMK.Expand,Header,foo.h))
$(eval $(call ZMK.Expand,Header,include/bar.h))
froz.h.InstallDir = $(includedir)/froz
$(eval $(call ZMK.Expand,Header,froz.h))
