=== debian/changelog ===
zmk (0.4.2-2) unstable; urgency=medium

  * no change pure source upload

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 02 Feb 2021 20:18:16 +0100

zmk (0.4.2-1) unstable; urgency=medium

  * Initial release. (Closes: #959105)

 -- Zygmunt Krynicki <me@zygoon.pl>  Mon, 28 Dec 2020 19:34:48 +0100
