=== debian/rules ===
#!/usr/bin/make -f
export prefix=/usr

override_dh_auto_test:
	# Unset prefix set above as well as the Debian's hardening flags as they
	# interfere with the canned output measured by "make -n" style tests used
	# by zmk. Note that the test does not actually compile any software, just
	# checks the set of build system commands issued.
	unset prefix CFLAGS CXXFLAGS OBJCFLAGS OBJCXXFLAGS CPPFLAGS LDFLAGS && dh_auto_test

%:
	dh $@ --buildsystem=makefile
