## zmk 0.5

=== debian/changelog ===
zmk (0.5-2) unstable; urgency=medium

  * Drop workaround make distclean bug

 -- Zygmunt Krynicki <me@zygoon.pl>  Mon, 08 Feb 2021 00:21:34 +0100

zmk (0.5-1) unstable; urgency=medium

  * Do not ship .log files in zmk-doc examples, closes: #981571
  * Override dh_auto_clean to improve build experience
  * Update uscan to account for new tarball name
  * Enable pristine-tar and signatures by default
  * New upstream version 0.5

 -- Zygmunt Krynicki <me@zygoon.pl>  Sun, 07 Feb 2021 22:55:30 +0100
