## zmk 0.5.1

=== examples/hello-c/Makefile ===
include z.mk                                            # Include the zmk library

hello.Sources = hello.c                                 # Define the source files to compile into hello
$(eval $(call ZMK.Expand,Program,hello))                # Expand template for programs with the name hello
