=== examples/hello-objc/Makefile ===
include z.mk                                            # Include the zmk library

hello.Sources = hello.m                                 # Define the source files to compile into hello
$(eval $(call ZMK.Expand,Program,hello))                # Expand template for programs with the name hello
