=== examples/script/Makefile ===
include z.mk                                            # Include the zmk library

$(eval $(call ZMK.Expand,Script,hello.sh))              # Expand template for scripts with the name hello
