=== tests/Configure/Makefile ===
NAME=test

include z.mk

$(eval $(call ZMK.Import,Configure))

debug: ;
