=== tests/Directories/Makefile ===
include z.mk

$(eval $(call ZMK.Import,Directories))

debug:: $(addprefix $(DESTDIR),$(Directories.POSIX))
