=== tests/Header/Makefile ===
--- 
+++ 
@@ -1,5 +1,4 @@
 include z.mk
-
 $(eval $(call ZMK.Expand,Header,foo.h))
 $(eval $(call ZMK.Expand,Header,include/bar.h))
 froz.h.InstallDir = $(includedir)/froz
