=== tests/HeaderGroup/Makefile ===
include z.mk

foobar.Headers = foo.h bar.h
$(eval $(call ZMK.Expand,HeaderGroup,foobar))

froz.InstallDir = $(includedir)/sub/dir
froz.Headers = froz.h
$(eval $(call ZMK.Expand,HeaderGroup,froz))
