=== debian/changelog ===
zmk (0.5.1-2) unstable; urgency=medium

  * debian: Add autopkgtest support

 -- Zygmunt Krynicki <me@zygoon.pl>  Thu, 24 Jun 2021 09:40:52 +0200

zmk (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1

 -- Zygmunt Krynicki <me@zygoon.pl>  Wed, 23 Jun 2021 23:01:36 +0200
