=== debian/rules ===
--- 
+++ 
@@ -8,5 +8,20 @@
 	# checks the set of build system commands issued.
 	unset prefix CFLAGS CXXFLAGS OBJCFLAGS OBJCXXFLAGS CPPFLAGS LDFLAGS && dh_auto_test
 
+override_dh_installexamples:
+	# Install examples except for the log files, which are a left-over from
+	# exercising the examples by the test suite.
+	dh_installexamples -X .log
+
+override_dh_auto_clean:
+	# Remove log files created by the build process.
+	find . -name '*.log' -delete
+	# Remove generated configuration files used by the test process.
+	find tests/Configure -name 'config.*.mk' -delete
+	# Remove the generated configure script used by the test process.
+	find tests/Configure -name 'configure' -delete
+	# Run the regular clean logic
+	dh_auto_clean
+
 %:
 	dh $@ --buildsystem=makefile
