=== debian/tests/control ===
Tests: build-examples
Depends: zmk, gcc, g++, gobjc, gobjc++

Tests: build-examples-with-clang
Depends: zmk, clang
