=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/zmk-v?(\d\S*)\.tar\.gz/zmk-\$1\.tar\.gz/,\
pgpsigurlmangle=s/\.tar\.gz/\.tar\.gz\.asc/ \
  https://github.com/zyga/zmk/releases/latest .*/zmk-v?(\d\S+)\.tar\.gz
